List of all members
clan::Service Class Referenceabstract
clanCore System

Service/daemon class. More...

`#include <service.h>`

## Public Member Functions
Construction
| Service (const std::string &service_name)
| Constructs a service object. More...
| ~Service ()
Attributes
const std::string & | get_service_name () const
| Returns the service name. More...

## Operations
int | main (int argc, char **argv)
| Process command line and run service. More...
virtual void | service_start (std::vector< std::string > &args)=0
| Called when the service is asked to start. More...
virtual void | service_stop ()=0
| Called when the service is asked to stop. More...
virtual void | service_reload ()=0
| Called when the service is asked to reload its configuration. More...

## Implementation
class | Service_Impl

## Detailed Description

Service/daemon class.

The documentation for this class was generated from the following file:

- service.h